Get Unmanaged Virtual Machines

Get Unmanaged Virtual Machines
Get a list of unmanaged virtual machines from vCenter Server

Get a list of unmanaged virtual machines from vCenter Server

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/unmanagedVirtualMachines
COPY
Path Parameters
string
vcUrn
Required

vcUrn

Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UnmanagedVirtualMachines of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineUnmanagedVirtualMachines1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "memory": 0,
            "cpuCount": 0,
            "storage": 0,
            "path": "string",
            "virtualHardwareVersion": 0,
            "state": "string",
            "moRef": "string"
        }
    ]
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/unmanagedVirtualMachines?page=value&pageSize=v